#version 330 core
 
layout (location=0) out vec4 vFragColor;	//wyjście shadera fragmentów

//dane z shadera wierzchołków
smooth in vec2 vUV;		//współrzędne tekstury 2D

//uniform shadera
uniform sampler2D textureMap;		//obraz do wyświetlenia

void main()
{
	//próbkowanie tekstury w podanych współrzędnych teksturowych, aby uzyskać kolor fragmentu
	vFragColor =   texture(textureMap, vUV);
}